Subject: Re: OT: PostgreSQL Sources (was RE: Need help in updating my packages)
From: Jason Tishler <[email-masked]>
To: Jens Greven <[email-masked]>
Cc: [email-masked], Siegfried Heintze <[email-masked]>
Date: Thu, 1 Mar 2001 15:08:25 -0500

On Thu, Mar 01, 2001 at 04:36:51PM +0100, Jens Greven wrote:
> I found the sources via the mirror list on the PostgreSQL web
> site (www.postgresql.org). There is an excellent mirror in Germany,
> http://ftp-stud.fht-esslingen.de where you can not only find the
> stable versions but also the betas. (By the way, they mirror the
> cygwin stuff, too).

I recommend using PostgreSQL 7.1beta5 or later (i.e., CVS) since they
build OOTB under Cygwin.

> I had some trouble unless I got the readline
> libraries from the GNU Project (if I remember correctly they can
> also be found on that server).

PostgreSQL builds and works just fine with the Cygwin supplied readline.

> You will need the CygIPC libraries if
> you want to compile that stuff under Cygwin, those can be found on
> http://www.neuro.gatech.edu/users/cwilson/cygutils/V1.1/cygipc/

I recommend using cygipc 1.09, see the following for why:

    http://sources.redhat.com/ml/cygwin/2001-02/msg00987.html
    http://sources.redhat.com/ml/cygwin/2001-02/msg00988.html

> But, as you can see from my original posting, you need to patch some
> of the stuff mentioned above to get it running under Windows 2000 /
> NT with Cygwin. If somebody knows more precisely what to do _PLEASE_
> share your knowledge ;-)

No source patches are needed.  Just use a current PostgreSQL and Cygwin
1.1.8-2 with cygwin1.dll replaced by a recent snapshot to correct the
mmap/fork problem.

The following may be useful although it is somewhat out of date:

    http://people.freebsd.org/~kevlo/postgres/portNT.html

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple